import { $postParam, $post } from "@/plugins/axios";

export const questionTeatherUserQuery = ({ courseCode, param }) => {
  return $postParam("/api/admin/sys/user/user_list", { courseCode, param });
};
// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/sys/user/list", datas);
};
export const updateUser = datas => {
  return $post("/api/admin/sys/user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/admin/sys/user/enable", { id, enable });
};
export const resetPwd = id => {
  return $post("/api/admin/sys/user/reset_password", { id });
};
export const updatePwd = datas => {
  return $post("/api/admin/sys/user/update_password", datas);
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/admin/sys/user/bind_roles", { id, roleIds });
};
export const userRoleListPage = () => {
  return $postParam("/api/admin/sys/role/list_to_user", {});
};

// role-manage
export const roleListPage = datas => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/admin/sys/role/enable", { id, enable });
};
export const updateRole = datas => {
  return $post("/api/admin/sys/role/save", datas);
};
export const deleteRole = id => {
  return $post("/api/admin/sys/role/remove", { id });
};
export const userBoundRoles = userId => {
  return $postParam("/api/admin/sys/role/get_user_roles", { userId });
};
// menu-manage
export const menuAuthList = datas => {
  return $postParam("/api/admin/sys/privilege/list_auth", datas);
};
export const roleBoundPrivileges = roleId => {
  return $postParam("/api/admin/sys/privilege/get_role_privileges", { roleId });
};
// organization-manage
export const organizationList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const updateOrganization = datas => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};
export const deleteOrganization = id => {
  return $post("/api/admin/sys/org/remove", { id });
};

// --------------------------------->
// common-rule
export const examRuleDetail = schoolId => {
  return $postParam("/api/admin/basic/exam_rule/list", { schoolId });
};
export const saveExamRule = datas => {
  return $post("/api/admin/basic/exam_rule/save", datas);
};
// card-rule
export const cardRuleListPage = datas => {
  return $postParam("/api/admin/basic/card_rule/list", datas);
};
export const cardRuleQuery = param => {
  return $postParam("/api/admin/basic/card_rule/query", { param });
};
export const cardRuleDetail = id => {
  return $postParam("/api/admin/basic/card_rule/get_one", { id });
};
export const saveCardRule = datas => {
  return $post("/api/admin/basic/card_rule/save", datas);
};
export const ableCardRule = ({ id, enable }) => {
  return $post("/api/admin/basic/card_rule/enable", { id, enable });
};
// common-card-template / common-print-template / param-print-template
export const templateListPage = datas => {
  return $postParam("/api/admin/basic/template/list", datas);
};
export const updateTemplate = datas => {
  return $post("/api/admin/basic/template/save", datas);
};
export const ableTemplate = ({ id, enable }) => {
  return $post("/api/admin/basic/template/enable", { id, enable });
};
export const templateCategoryList = type => {
  return $postParam("/api/admin/basic/template/list", type);
};
export const templateContentView = attachmentId => {
  return $postParam("/api/admin/basic/template/read_content", { attachmentId });
};
// course-manage
export const courseListPage = datas => {
  return $postParam("/api/admin/basic/course/list", datas);
};
export const courseQuery = datas => {
  return $postParam("/api/admin/basic/course/query", datas);
};
export const deleteCourse = id => {
  return $post("/api/admin/basic/course/remove", { id });
};
export const updateCourse = datas => {
  return $post("/api/admin/basic/course/save", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/admin/common/file/upload", datas);
};

// system
